edu.sc.seis.sod.source.event

## Class EventDCQuerier

- java.lang.Object
- - edu.sc.seis.sod.source.event.EventDCQuerier

-     public class EventDCQuerier
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventDCQuerier(java.lang.String serverName, java.lang.String serverDNS, int numRetries, org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `edu.iris.Fissures.Area` | `getArea()`
    `java.lang.String[]` | `getCatalogs()`
    `java.lang.String[]` | `getContributors()`
    `edu.sc.seis.fissuresUtil.cache.ProxyEventDC` | `getEventDC()`
    `MagnitudeRange` | `getMagRange()`
    `edu.iris.Fissures.model.QuantityImpl` | `getMaxDepth()`
    `edu.iris.Fissures.model.QuantityImpl` | `getMinDepth()`
    `int` | `getRetries()`
    `java.lang.String` | `getServerDNS()`
    `java.lang.String` | `getServerName()`
    `static boolean` | `putPassingMagFirst(edu.iris.Fissures.IfEvent.Origin o, MagnitudeRange magRange)` Reorder the magnitudes in o such that a magnitude >= minMag and <= maxMag with a type in searchTypes is in the 0th position of the magnitudes array
    `edu.sc.seis.fissuresUtil.cache.CacheEvent[]` | `query(edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange tr)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventDCQuerier

          public EventDCQuerier(java.lang.String serverName,
                                java.lang.String serverDNS,
                                int numRetries,
                                org.w3c.dom.Element config)
                         throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### getEventDC

          public edu.sc.seis.fissuresUtil.cache.ProxyEventDC getEventDC()

    - #### query

          public edu.sc.seis.fissuresUtil.cache.CacheEvent[] query(edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange tr)

    - #### putPassingMagFirst

          public static boolean putPassingMagFirst(edu.iris.Fissures.IfEvent.Origin o,
                                                   MagnitudeRange magRange)

      Reorder the magnitudes in o such that a magnitude >= minMag and <= maxMag with a type in searchTypes is in the 0th position of the magnitudes array
      Returns:
        - True if a magnitude is found and moved into the 0th position

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getRetries

          public int getRetries()

    - #### getCatalogs

          public java.lang.String[] getCatalogs()

    - #### getContributors

          public java.lang.String[] getContributors()

    - #### getMinDepth

          public edu.iris.Fissures.model.QuantityImpl getMinDepth()

    - #### getMaxDepth

          public edu.iris.Fissures.model.QuantityImpl getMaxDepth()

    - #### getServerName

          public java.lang.String getServerName()

    - #### getServerDNS

          public java.lang.String getServerDNS()

    - #### getMagRange

          public MagnitudeRange getMagRange()

    - #### getArea

          public edu.iris.Fissures.Area getArea()